Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Attributes | List of all members
eZ\Publish\API\Repository\Values\Content\Relation Class Reference
Inheritance diagram for eZ\Publish\API\Repository\Values\Content\Relation:

## Public Member Functions
| getSourceContentInfo ()
| the content of the source content of the relation. More...
| getDestinationContentInfo ()
| the content of the destination content of the relation. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Public Attributes
const | COMMON = 1
const | EMBED = 2
const | LINK = 4
const | FIELD = 8
const | ASSET = 16

## Protected Attributes
| $id
| $sourceFieldDefinitionIdentifier
| $type

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 20 of file API/Repository/Values/Content/Relation.php.

## Member Function Documentation

## ◆ getDestinationContentInfo()

eZ\Publish\API\Repository\Values\Content\Relation::getDestinationContentInfo | ( |  | ) |
| abstract

the content of the destination content of the relation.

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentInfo

Reimplemented in eZ\Publish\Core\REST\Client\Values\Content\Relation, and eZ\Publish\Core\Repository\Values\Content\Relation.

## ◆ getSourceContentInfo()

eZ\Publish\API\Repository\Values\Content\Relation::getSourceContentInfo | ( |  | ) |
| abstract

the content of the source content of the relation.

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentInfo

Reimplemented in eZ\Publish\Core\REST\Client\Values\Content\Relation, and eZ\Publish\Core\Repository\Values\Content\Relation.

## Member Data Documentation

## ◆ $id

eZ\Publish\API\Repository\Values\Content\Relation::$id
| protected

Definition at line 62 of file API/Repository/Values/Content/Relation.php.

## ◆ $sourceFieldDefinitionIdentifier

eZ\Publish\API\Repository\Values\Content\Relation::$sourceFieldDefinitionIdentifier
| protected

Definition at line 71 of file API/Repository/Values/Content/Relation.php.

## ◆ $type

eZ\Publish\API\Repository\Values\Content\Relation::$type
| protected

Definition at line 94 of file API/Repository/Values/Content/Relation.php.

## ◆ ASSET

const eZ\Publish\API\Repository\Values\Content\Relation::ASSET = 16

Definition at line 55 of file API/Repository/Values/Content/Relation.php.

Referenced by eZ\Publish\Core\Repository\Helper\RelationProcessor\appendFieldRelations(), eZ\Publish\Core\REST\Client\Input\Parser\Relation\convertRelationType(), eZ\Publish\Core\FieldType\ImageAsset\Type\getRelations(), and eZ\Publish\Core\Repository\Helper\RelationProcessor\processFieldRelations().

## ◆ COMMON

const eZ\Publish\API\Repository\Values\Content\Relation::COMMON = 1

Definition at line 27 of file API/Repository/Values/Content/Relation.php.

Referenced by eZ\Publish\Core\REST\Client\Input\Parser\Relation\convertRelationType().

## ◆ EMBED

const eZ\Publish\API\Repository\Values\Content\Relation::EMBED = 2

Definition at line 34 of file API/Repository/Values/Content/Relation.php.

Referenced by eZ\Publish\Core\Repository\Helper\RelationProcessor\appendFieldRelations(), eZ\Publish\Core\REST\Client\Input\Parser\Relation\convertRelationType(), and eZ\Publish\Core\Repository\Helper\RelationProcessor\processFieldRelations().

## ◆ FIELD

read int $type The relation type bitmask containing one or more of Relation::COMMON Relation::EMBED Relation::LINK eZ\Publish\Core\Repository\Values\Content\Relation::FIELD = 8

Meant for internal use by Repository, type hint against API object instead.

Definition at line 48 of file API/Repository/Values/Content/Relation.php.

Referenced by eZ\Publish\Core\Repository\Helper\RelationProcessor\appendFieldRelations(), eZ\Publish\Core\REST\Client\Input\Parser\Relation\convertRelationType(), eZ\Publish\Core\FieldType\Relation\Type\getRelations(), eZ\Publish\Core\FieldType\RelationList\Type\getRelations(), and eZ\Publish\Core\Repository\Helper\RelationProcessor\processFieldRelations().

## ◆ LINK

const eZ\Publish\API\Repository\Values\Content\Relation::LINK = 4

Definition at line 41 of file API/Repository/Values/Content/Relation.php.

Referenced by eZ\Publish\Core\Repository\Helper\RelationProcessor\appendFieldRelations(), eZ\Publish\Core\REST\Client\Input\Parser\Relation\convertRelationType(), and eZ\Publish\Core\Repository\Helper\RelationProcessor\processFieldRelations().

The documentation for this class was generated from the following file:

- API/Repository/Values/Content/Relation.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.